+ Start a Discussion
IkoIko 

SControls via Eclipse 3.2

I hope this is the right forum section for this post...
 
I am trying to use Eclipse 3.2 for the development of SControls, and when I have the Update Manager fetch the toolkit from the salesforce site, I am getting the following error:
 
Requested operation cannot be performed because it would invalidate the current configuration. See details for more information.
  WST Common Core Feature (1.0.1.v200602151554) requires feature "org.eclipse.jem (1.1.0.1)", or equivalent.   org.eclipse.wst.server_core.feature (1.0.1.v200602151554) requires feature "org.eclipse.rcp (3.1.1)", or equivalent.   XML Core Feature (1.0.1.v200602151554) requires feature "org.eclipse.rcp (3.1.1)", or equivalent. ....
 
Should I uninstall Eclipse and get Version 3.1 or is there a newer toolkit coming?
 
Thx.
Ron HessRon Hess
You may want 3.1, but no need to uninstall anything.  Eclipse is self contained to a directory and several versions can exist and run at the same time.

the 3.2 version is out there, but not quite as tested as the 3.1 version
I recomend 3.1 for now.

3.1 : http://adnsandbox.com/appexchange/updates
3.2 : http://adnsandbox.com/appexchange/e3.2

the adn 3.2 version is intended to support the new features which will arive in Winter 07 release, real soon now...
IkoIko

I tried the 3.2 Update and it gave me the following error (will try 3.1 now):

Unable to create this part due to an internal error. Reason for the failure: The editor class could not be instantiated. This usually indicates that the editor's class name was mistyped in plugin.xml.

ChitraChitra
Is this plug in available for download now?

Thanks,
chitra

Chirag MehtaChirag Mehta

C:\Program Files\Eclipse\plugins\com.appexchange.toolkit.documentation_1.0.2206.jar

C:\Program Files\Eclipse\plugins\com.appexchange.toolkit_1.0.2206.jar

Just above two plugins are required  and u can do Following things using the same

If u want the same do provide me ur contact address

1. Creation of New Scontrol

Right-click on the Scontrols folder and chose AppExchange => New Scontrol and it worked

2. Synchronising the Scontrols from SFDC to Eclipse

Under your Project for this account, Right click SControls -> AppExchange -> Synch Folder

3.Preview the Scontrol in Eclipse itself

Select the preview tab under the Scontrol Code

There are 3 tabs under Scontrol Code Code /  Properties / Preview

Following are the plugins to be placed in plugin folder of Eclipse for Scontrols purpose

For Eg:-

C:\Program Files\Eclipse\plugins\com.appexchange.toolkit.documentation_1.0.2206.jar

C:\Program Files\Eclipse\plugins\com.appexchange.toolkit_1.0.2206.jar

Message Edited by Chirag Mehta on 11-01-2006 01:39 AM

DevAngelDevAngel
The current toolkit only supports eclipse 3.1.  I'm working on one to support 3.2.
Eric SantiagoEric Santiago
This post is several months old now. Has there been a newer release of the Apex package for Eclipse 3.2?
DevAngelDevAngel
Yes, look for toolkits on the ADN Site.

https://wiki.apexdevnet.com/index.php/Tools